git: 4effc38819d9 - main - bsdinstall jail: Replace dialog with bsddialog

From: Alfonso S. Siciliano <asiciliano_at_FreeBSD.org>
Date: Sat, 21 May 2022 15:14:30 UTC
The branch main has been updated by asiciliano:

URL: https://cgit.FreeBSD.org/src/commit/?id=4effc38819d9c9b410cee9e3b51f0cabeec27677

commit 4effc38819d9c9b410cee9e3b51f0cabeec27677
Author:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
AuthorDate: 2022-05-21 15:10:35 +0000
Commit:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
CommitDate: 2022-05-21 15:14:03 +0000

    bsdinstall jail: Replace dialog with bsddialog
    
    Replace (LGPL) dialog utility with (BSD-2-Clause) bsddialog utility.
    
    Reviewed by:            bapt
    Differential Revision:  https://reviews.freebsd.org/D35274
---
 usr.sbin/bsdinstall/scripts/jail | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/usr.sbin/bsdinstall/scripts/jail b/usr.sbin/bsdinstall/scripts/jail
index d3a84f872fb6..849016ac0f3d 100755
--- a/usr.sbin/bsdinstall/scripts/jail
+++ b/usr.sbin/bsdinstall/scripts/jail
@@ -34,6 +34,8 @@ BSDCFG_SHARE="/usr/share/bsdconfig"
 
 ############################################################ MAIN
 
+: ${BSDDIALOG_OK=0}
+
 f_dprintf "Began Installation at %s" "$( date )"
 export BSDINSTALL_CHROOT=$1
 
@@ -42,10 +44,10 @@ error() {
 	if [ -n "$1" ]; then
 		msg="$1\n\n"
 	fi
-	dialog --backtitle "FreeBSD Installer" --title "Abort" \
+	bsddialog --backtitle "FreeBSD Installer" --title "Abort" \
 	    --no-label "Exit" --yes-label "Restart" --yesno \
 	    "${msg}An installation step has been aborted. Would you like to restart the installation or exit the installer?" 0 0
-	if [ $? -ne 0 ]; then
+	if [ $? -ne $BSDDIALOG_OK ]; then
 		exit
 	else
 		exec $0 $BSDINSTALL_CHROOT
@@ -81,9 +83,9 @@ if [ -f $BSDINSTALL_DISTDIR/MANIFEST ]; then
     if [ ! "$nonInteractive" == "YES" ]
     then
 	    exec 3>&1
-	    EXTRA_DISTS=$(echo $DISTMENU | xargs dialog \
+	    EXTRA_DISTS=$(echo $DISTMENU | xargs -o bsddialog \
 	        --backtitle "FreeBSD Installer" \
-	        --title "Distribution Select" --nocancel --separate-output \
+	        --title "Distribution Select" --no-cancel --separate-output \
 	        --checklist "Choose optional system components to install:" \
 	        0 0 0 \
 	    2>&1 1>&3)
@@ -128,7 +130,7 @@ if [ ! "$nonInteractive" == "YES" ]
 then
 bsdinstall services
 
-    dialog --backtitle "FreeBSD Installer" --title "Add User Accounts" --yesno \
+    bsddialog --backtitle "FreeBSD Installer" --title "Add User Accounts" --yesno \
         "Would you like to add users to the installed system now?" 0 0 && \
         bsdinstall adduser
 fi